#!/usr/bin/env bash
# TA-Proxmenu - Proxmox Setup Scripts for TA Use

action="$1"
FOLDER='/opt/idssys/ta-proxmenu'
VERS='2026.3.13-1'

RNIP=$(ip addr show $(ip route | awk '/default/ { print $5 }') | grep "inet" | head -n 1 | awk '/inet/ {print $2}' | cut -d'/' -f1)

url="https://fedorapeople.org/groups/virt/virtio-win/direct-downloads/stable-virtio/virtio-win.iso"
while redirect_url=$( curl -I -s -S -f -w "%{redirect_url}\\n" -o /dev/null "${url}" ); do
  VIRTIO_DOWNLOAD_URL=${url}; url=${redirect_url}; [[ -z "$url" ]] && break
done
VIRTIO_FILE=${VIRTIO_DOWNLOAD_URL##*/}


if [ -f /etc/apt/sources.list.d/gyptazy.list ]; then
  rm -f /etc/apt/sources.list.d/gyptazy.list /etc/apt/keyrings/gyptazy.asc
  echo "deb https://repo.gyptazy.com/stable /" > /etc/apt/sources.list.d/proxlb.list
  wget -O /etc/apt/trusted.gpg.d/proxlb.asc https://repo.gyptazy.com/repository.gpg
  apt-get update
fi

